Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056026 - ConcurrentModificationException after just entering jbpm dashboard
Summary: ConcurrentModificationException after just entering jbpm dashboard
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: BAM
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER1
: 6.0.1
Assignee: David Gutierrez
QA Contact: Jan Hrcek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 12:25 UTC by Jan Hrcek
Modified: 2014-08-06 20:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:03:53 UTC
Type: Bug


Attachments (Terms of Use)
Server log with UNEXPECTED ERROR (deleted)
2014-01-21 12:25 UTC, Jan Hrcek
no flags Details

Description Jan Hrcek 2014-01-21 12:25:37 UTC
Created attachment 853209 [details]
Server log with UNEXPECTED ERROR

Description of problem:
Please inspect the server.log attached, in particular the UNEXPECTED ERROR at 03:58:28. This occurred in the automated GUI test run of business cetral. The only thing the test was doing was navigating to Dashboard > Business Dashboard in business central and checking the presence of one KPI (not interacting the page in any way). The test passed (The KPI was there) but the ConcurrentModificationException appeared in the server log by the time the jBPM Dashboard was opened.

Version-Release number of selected component (if applicable):
BPMS 6.0.0 CR1 on RHEL 6 with PostgreSQL 9.2 as datasource

How reproducible:
It will be hard to reproduce.

Steps to Reproduce:
1. In business central navigate to Dashboard > Business Dashboard

Actual results:
Exception in server log

Expected results:
no exception

Comment 1 David Gutierrez 2014-01-23 17:37:25 UTC
Fixed by making the DashboardFilterHandler component thread-safe.

Github commit (master): https://github.com/droolsjbpm/dashboard-builder/commit/bea3adaebc357487c9309330a041f0149ec8c877

Github commit (6.0.x): https://github.com/droolsjbpm/dashboard-builder/commit/f4b67d64edf9e2ecc03608abe2eb15b493b7fe43

Comment 2 Jan Hrcek 2014-03-03 08:57:45 UTC
Ok, verified with BPMS 6.0.1 ER1


Note You need to log in before you can comment on or make changes to this bug.